import os

__all__ = [
    "ACCELERATE_VERSION_SPEC",
    "CAUSAL_CONV1D_VERSION_SPEC",
    "COMPEL_VERSION_SPEC",
    "DIFFUSERS_VERSION_SPEC",
    "EINOPS_VERSION_SPEC",
    "FLASH_ATTN_VERSION_SPEC",
    "LIBROSA_VERSION_SPEC",
    "LLAMA_CPP_VERSION_SPEC",
    "MAMBA_SSM_VERSION_SPEC",
    "NINJA_VERSION_SPEC",
    "NUMPY_VERSION_SPEC",
    "OPENCV_VERSION_SPEC",
    "PANDAS_VERSION_SPEC",
    "PEFT_VERSION_SPEC",
    "PHONEMIZER_VERSION_SPEC",
    "PILLOW_VERSION_SPEC",
    "PYAV_VERSION_SPEC",
    "SAFETENSORS_VERSION_SPEC",
    "SCIPY_VERSION_SPEC",
    "SENTENCEPIECE_VERSION_SPEC",
    "SKIMAGE_VERSION_SPEC",
    "SKLEARN_VERSION_SPEC",
    "TOKENIZERS_VERSION_SPEC",
    "TORCHAUDIO_VERSION_SPEC",
    "TORCHVISION_VERSION_SPEC",
    "TORCH_VERSION_SPEC",
    "TRANSFORMERS_VERSION_SPEC",
]

# Version specs for dependencies, use whenever possible
# to avoid conflicts with other packages. If you need/want to
# change one of these, make an issue on the repository.
ACCELERATE_VERSION_SPEC = os.getenv("ACCELERATE_VERSION_SPEC", "~=1.0")
CAUSAL_CONV1D_VERSION_SPEC = os.getenv("CAUSAL_CONV1D_VERSION_SPEC", "~=1.5")
COMPEL_VERSION_SPEC = os.getenv("COMPEL_VERSION_SPEC", "~=2.0")
DIFFUSERS_VERSION_SPEC = os.getenv("DIFFUSERS_VERSION_SPEC", ">=0.29")
EINOPS_VERSION_SPEC = os.getenv("EINOPS_VERSION_SPEC", ">=0.8")
FLASH_ATTN_VERSION_SPEC = os.getenv("FLASH_ATTN_VERSION_SPEC", "~=2.7")
LIBROSA_VERSION_SPEC = os.getenv("LIBROSA_VERSION_SPEC", ">=0.10")
LLAMA_CPP_VERSION_SPEC = os.getenv("LLAMA_CPP_VERSION_SPEC", ">=0.2.79")
MAMBA_SSM_VERSION_SPEC = os.getenv("MAMBA_SSM_VERSION_SPEC", "~=2.2")
NUMPY_VERSION_SPEC = os.getenv("NUMPY_VERSION_SPEC", "~=1.22")
NINJA_VERSION_SPEC = os.getenv("NINJA_VERSION_SPEC", "~=1.11")
OPENCV_VERSION_SPEC = os.getenv("OPENCV_VERSION_SPEC", "~=4.9")
PANDAS_VERSION_SPEC = os.getenv("PANDAS_VERSION_SPEC", "~=1.5")
PEFT_VERSION_SPEC = os.getenv("PEFT_VERSION_SPEC", "~=0.13")
PHONEMIZER_VERSION_SPEC = os.getenv("PHONEMIZER_VERSION_SPEC", "~=3.3")
PILLOW_VERSION_SPEC = os.getenv("PILLOW_VERSION_SPEC", "~=9.5")
PYAV_VERSION_SPEC = os.getenv("PYAV_VERSION_SPEC", "~=12.0")
SAFETENSORS_VERSION_SPEC = os.getenv("SAFETENSORS_VERSION_SPEC", "~=0.4")
SCIPY_VERSION_SPEC = os.getenv("SCIPY_VERSION_SPEC", "~=1.11.2")
SENTENCEPIECE_VERSION_SPEC = os.getenv("SENTENCEPIECE_VERSION_SPEC", "~=0.2")
SKIMAGE_VERSION_SPEC = os.getenv("SKIMAGE_VERSION_SPEC", "~=0.22")
SKLEARN_VERSION_SPEC = os.getenv("SKLEARN_VERSION_SPEC", "~=1.5")
TOKENIZERS_VERSION_SPEC = os.getenv("TOKENIZERS_VERSION_SPEC", ">=0.19")
TORCHAUDIO_VERSION_SPEC = os.getenv("TORCHAUDIO_VERSION_SPEC", ">=2.4")
TORCHVISION_VERSION_SPEC = os.getenv("TORCHVISION_VERSION_SPEC", ">=0.19")
TORCH_VERSION_SPEC = os.getenv("TORCH_VERSION_SPEC", ">=2.4")
TRANSFORMERS_VERSION_SPEC = os.getenv("TRANSFORMERS_VERSION_SPEC", ">=4.41")
